Subject: [bug#65439] [PATCH v2] WAS [bug#65439] [PATCH] maint: Support `guix shell' in Guix's git archive with

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Mon, 18 Sep 2023 10:47:44 +0200

Janneke Nieuwenhuizen writes:

Hi!

> Janneke Nieuwenhuizen writes:
>
>> In the attached patch I share my local hack `maintenance.scm', which
>> allows this generalized .envrc
>
> For v2 I removed unnecessary includes.  (Initially `maintenance.scm' was
> a bit more interesting.)  Also mention using it implicitly in
> Contributing.texi.
>
> [snip .envrc exapmle that runs ./pre-inst-env]
>
> ...and while I'm here; I'm using this much simpler .envrc now:
>
> eval $(guix shell --search-paths)
> if test -f doc/dir; then
>    export INFOPATH="$PWD/doc${INFOPATH:+:}$INFOPATH"
> fi
>
> I found that it's better to simply use ./pre-inst-env in the M-x compile
> command instead.

It's been four weeks without comment, unless there are any objections
I'll push at the end of the day.

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com